import {
	httpUrlFormat,
	ajaxCarryAuthorization,ajaxSync
} from '@/utils/httpUtils.js'


import { ApiVersion,AppVersion } from '@/config/baseConfig.js'

const headerVersion = {
	'API-Version': ApiVersion(),
	'APP-Version':AppVersion()
}


const _flag = 'apiBaseUrl' // 请求的api空间

const apiUrl = {
	'topStatusApi': httpUrlFormat('/top/status', _flag),
}


export function topUserListApi(data) {
	return ajaxCarryAuthorization({
		header: headerVersion,
		url: httpUrlFormat(`/top/user/list/${data.type}`, _flag),
		method: 'GET',
		data
	})
}
export function topUserSelfApi(data) {
	return ajaxCarryAuthorization({
		header: headerVersion,
		url: httpUrlFormat(`/top/user/self/${data.type}`, _flag),
		method: 'GET',
		data
	})
}
export function topStatusApi(data) {
	return ajaxCarryAuthorization({
		header: headerVersion,
		url: apiUrl.topStatusApi,
		method: 'GET',
		data
	})
}


export function topUserListLastApi(data) {
	return ajaxCarryAuthorization({
		header: headerVersion,
		url: httpUrlFormat(`/top/user/list/last/${data.type}`, _flag),
		method: 'GET',
		data
	})
}
export function topUserSelfLastApi(data) {
	return ajaxCarryAuthorization({
		header: headerVersion,
		url: httpUrlFormat(`/top/user/self/last/${data.type}`, _flag),
		method: 'GET',
		data
	})
}
export function topRuleApi(data) {
	return ajaxCarryAuthorization({
		header: headerVersion,
		url: httpUrlFormat(`/top/rule/${data.type}`, _flag),
		method: 'GET',
		data
	})
}
export function topExpiredTimeApi(data) {
	return ajaxCarryAuthorization({
		header: headerVersion,
		url: httpUrlFormat(`/top/expired/time/${data.type}`, _flag),
		method: 'GET',
		data
	})
}

export function topDetailApi(data) {
	return ajaxCarryAuthorization({
		header: headerVersion,
		url: httpUrlFormat(`/top/${data.type}`, _flag),
		method: 'GET',
		data
	})
}

